summaryrefslogtreecommitdiffstats
path: root/usr.sbin/bsdinstall/scripts/jail
diff options
context:
space:
mode:
Diffstat (limited to 'usr.sbin/bsdinstall/scripts/jail')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/jail15
1 files changed, 13 insertions, 2 deletions
diff --git a/usr.sbin/bsdinstall/scripts/jail b/usr.sbin/bsdinstall/scripts/jail
index af7a00e..e709145 100755
--- a/usr.sbin/bsdinstall/scripts/jail
+++ b/usr.sbin/bsdinstall/scripts/jail
@@ -1,6 +1,7 @@
#!/bin/sh
#-
# Copyright (c) 2011 Nathan Whitehorn
+# Copyright (c) 2013 Devin Teske
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -25,8 +26,15 @@
# SUCH DAMAGE.
#
# $FreeBSD$
+#
+############################################################ INCLUDES
+
+BSDCFG_SHARE="/usr/share/bsdconfig"
+. $BSDCFG_SHARE/common.subr || exit 1
+
+############################################################ MAIN
-echo "Begun Installation at $(date)" > $BSDINSTALL_LOG
+f_dprintf "Began Installation at %s" "$( date )"
export BSDINSTALL_CHROOT=$1
error() {
@@ -112,5 +120,8 @@ cp /etc/localtime $1/etc
bsdinstall entropy
-echo "Installation Completed at $(date)" >> $BSDINSTALL_LOG
+f_dprintf "Installation Completed at %s" "$(date)"
+################################################################################
+# END
+################################################################################
OpenPOWER on IntegriCloud